Package de.willuhn.jameica.hbci.gui.boxes

# Class SaldoLimits

java.lang.Object
de.willuhn.jameica.gui.boxes.AbstractBox
de.willuhn.jameica.hbci.gui.boxes.SaldoLimits

All Implemented Interfaces:
  `de.willuhn.jameica.gui.boxes.Box`, `de.willuhn.jameica.gui.Part`, `Comparable`

public class SaldoLimits extends de.willuhn.jameica.gui.boxes.AbstractBox implements de.willuhn.jameica.gui.boxes.Box
Zeigt Saldo-Limits an, insofern welche in nächster Zeit erreicht werden.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.boxes.Box

`HEIGHT_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`SaldoLimits()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDefaultEnabled()`
`int`
`getDefaultIndex()`
`int`
`getHeight()`
`String`
`getName()`
`boolean`
`isActive()`
`boolean`
`isEnabled()`
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.boxes.AbstractBox

`compareTo, getIndex, setEnabled, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.gui.boxes.Box

`getIndex, setEnabled, setIndex`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Constructor Details

### SaldoLimits

public SaldoLimits()

## Method Details

### getDefaultEnabled

public boolean getDefaultEnabled()

Specified by:
  `getDefaultEnabled` in interface `de.willuhn.jameica.gui.boxes.Box`
See Also:
  - `Box.getDefaultEnabled()`

### getDefaultIndex

public int getDefaultIndex()

Specified by:
  `getDefaultIndex` in interface `de.willuhn.jameica.gui.boxes.Box`
See Also:
  - `Box.getDefaultIndex()`

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.jameica.gui.boxes.Box`
See Also:
  - `Box.getName()`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `de.willuhn.jameica.gui.boxes.Box`
Overrides:
  `isActive` in class `de.willuhn.jameica.gui.boxes.AbstractBox`
See Also:
  - `Box.isActive()`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `de.willuhn.jameica.gui.boxes.Box`
Overrides:
  `isEnabled` in class `de.willuhn.jameica.gui.boxes.AbstractBox`
See Also:
  - `AbstractBox.isEnabled()`

### getHeight

public int getHeight()

Specified by:
  `getHeight` in interface `de.willuhn.jameica.gui.boxes.Box`
Overrides:
  `getHeight` in class `de.willuhn.jameica.gui.boxes.AbstractBox`
See Also:
  - `AbstractBox.getHeight()`